<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateAvanceConstruccion extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('avance_construccion')
			->addColumn('proyecto', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('fecha', 'date', ['null' => false])
			->addColumn('numero', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('avance', 'double', ['null' => false, 'signed' => false])
			->addColumn('estado_pago', 'double', ['null' => false, 'signed' => false])
			->addColumn('pagado', 'integer', ['length' => 10, 'default' => null, 'null' => true, 'signed' => false])
			->addColumn('uf', 'double', ['default' => null, 'null' => true, 'signed' => false])
			->addColumn('fecha_pagado', 'date', ['default' => null, 'null' => true])
			->addForeignKey('proyecto', 'proyecto', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
